Bug 481745 - [RHEL4] CRM 1815690 nss_ldap causing segfaults wtih large nested groups
[RHEL4] CRM 1815690 nss_ldap causing segfaults wtih large nested groups
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap (Show other bugs)
4.6
All Linux
urgent Severity high
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE
: ZStream
Depends On: 444086
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 08:25 EST by RHEL Product and Program Management
Modified: 2009-02-06 06:33 EST (History)
6 users (show)

See Also:
Fixed In Version: 253-5.el4_7.1
Doc Type: Bug Fix
Doc Text:
* the approach used by the nss_ldap module to parse group memberships led to heap corruption and a segmentation fault when resolving group membership information for a user in a nested group (that is, if groups to which the user belonged themselves belonged to other groups). This update backports improved parsing code that allows nss_ldap to handle nested groups successfully.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 06:33:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2009-01-27 08:25:47 EST
This bug has been copied from bug #444086 and has been proposed
to be backported to 4.7 z-stream (EUS).
Comment 5 Ruediger Landmann 2009-01-29 01:11:28 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* the approach used by the nss_ldap module to parse group memberships led to heap corruption and a segmentation fault when resolving group membership information for a user in a nested group (that is, if groups to which the user belonged themselves belonged to other groups). This update backports improved parsing code that allows nss_ldap to handle nested groups successfully.
Comment 8 errata-xmlrpc 2009-02-06 06:33:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0268.html

Note You need to log in before you can comment on or make changes to this bug.